Bug 1013036 - (CVE-2013-4316) CVE-2013-4316 struts: dynamic method executions is enabled by default
CVE-2013-4316 struts: dynamic method executions is enabled by default
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130921,repor...
: Reopened, Security
Depends On:
Blocks: 1013038
  Show dependency treegraph
 
Reported: 2013-09-27 12:20 EDT by Vincent Danen
Modified: 2013-09-30 02:54 EDT (History)
7 users (show)

See Also:
Fixed In Version: struts 2.3.15.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 00:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-09-27 12:20:49 EDT
Dynamic Method Invocation is a mechanism known to impose possible security vulnerabilities, but until now it was enabled by default with warning that users should switch it off if possible.

In Struts 2.3.15.2 the Dynamic Method Invocation is to false by default. Another option is to set struts.enable.DynamicMethodInvocation to false in struts.xml

<constant name="struts.enable.DynamicMethodInvocation" value="false"/>

Upstream bug report: https://issues.apache.org/jira/browse/WW-4201


External References:

http://struts.apache.org/release/2.3.x/docs/s2-019.html
Comment 1 gil cattaneo 2013-09-27 12:51:27 EDT
actual Struts version in fedora is 1.3.10
the problem is present only in Struts 2.0.0 and Struts 2.3.15.1
regards
Comment 2 Vincent Danen 2013-09-27 18:56:08 EDT
Please don't close bugs that are not assigned to you.

Yes, upstream indicates 2.0.0+ but that is only because 1.x is no longer supported (so they never indicate whether it is affected).  Did you see the patch that corrects this issue and verify that it doesn't apply to 1.x?  Or do you have something more concrete than just upstream's "affected versions" value to substantiate this claim?
Comment 3 gil cattaneo 2013-09-28 05:05:33 EDT
hi
from http://struts.apache.org/release/2.3.x/docs/s2-019.html
"In Struts 2.3.15.2 the Dynamic Method Invocation is to false by default. Another option is to set struts.enable.DynamicMethodInvocation to false in struts.xml
<constant name="struts.enable.DynamicMethodInvocation" value="false"/>"
1.x series is required by springframework and the file struts.xml is unavailable for 1.x
regards
Comment 4 gil cattaneo 2013-09-28 08:03:12 EDT
structs2 breaks compatibility also with the following package
velocity-tools (springframework BR/R)
i will not update structs2, until depend on tomcat6 apis, or SpringFramework and Velocity tools do not require more
Comment 6 Arun Babu Neelicattu 2013-09-30 00:53:43 EDT
Statement:

Not Vulnerable. This issue only affects struts 2, it does not affect the versions of struts as shipped with various Red Hat products.
Comment 7 David Jorm 2013-09-30 02:54:59 EDT
External References:

https://issues.apache.org/jira/browse/WW-4201

Upstream Patch:

http://svn.apache.org/viewvc?view=revision&revision=r1524296

Note You need to log in before you can comment on or make changes to this bug.